php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #80345 PHPIZE configuration has outdated PHP_RELEASE_VERSION
Submitted: 2020-11-09 21:58 UTC Modified: 2020-11-10 11:13 UTC
From: cmb@php.net Assigned: cmb (profile)
Status: Closed Package: *Compile Issues
PHP Version: 7.3Git-2020-11-09 (Git) OS: Windows
Private report: No CVE-ID: None
 [2020-11-09 21:58 UTC] cmb@php.net
Description:
------------
The configuration on Windows gets the correct version info from
configure.ac[1], what works fine for in-tree builds of extensions,
but not for phpize builds, because get_version_numbers() is not
called for such builds[2].  That means that extensions cannot rely
on PHP_RELEASE_VERSION and PHP_EXTRA_VERSION to have the correct
values in all cases.

[1] <https://github.com/php/php-src/blob/php-7.3.24/win32/build/confutils.js#L121-L151>
[2] <https://github.com/php/php-src/blob/php-7.3.24/win32/build/confutils.js#L162-L164>


Patches

Add a Patch

Pull Requests

Pull requests:

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2020-11-10 11:13 UTC] cmb@php.net
-Assigned To: +Assigned To: cmb
 [2020-11-10 12:54 UTC] cmb@php.net
The following pull request has been associated:

Patch Name: Fix #80345: PHPIZE configuration has outdated PHP_RELEASE_VERSION
On GitHub:  https://github.com/php/php-src/pull/6419
Patch:      https://github.com/php/php-src/pull/6419.patch
 [2020-11-19 15:29 UTC] cmb@php.net
Automatic comment on behalf of cmbecker69@gmx.de
Revision: http://git.php.net/?p=php-src.git;a=commit;h=c2b1182879bf2785245638945851c241b0859cbb
Log: Fix #80345: PHPIZE configuration has outdated PHP_RELEASE_VERSION
 [2020-11-19 15:29 UTC] cmb@php.net
-Status: Assigned +Status: Closed
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Feb 25 20:01:24 2021 UTC